#include <bits/stdc++.h>
using namespace std;

int main ()
{
    int n;
    cin >> n;
    vector<int> v;
    for(int i=0; i<n; i++)
    {
        string s;
        cin >> s;
        sort(s.begin(), s.end());
        int start=0, br=0;
        bool b=false;
        for(int j=0; j<s.size(); j++)
        {
            if(s[j+1]>s[j] || j==s.size()-1)
            {
                if(j-start%2==0)
                {
                    br++;
                    if(br>1)
                    {
                        b=true;
                        break;
                    }
                }
                start=j+1;
            }
        }
        if(b)
        {
            v.push_back(0);
        }
        else
        {
            v.push_back(1);
        }
    }
    for(int i=0; i<n; i++)
    {
        cout << v[i];
    }
    return 0;
}
